# $Id: smeserver-hwinfo.spec,v 1.3 2008/04/22 16:03:07 snetram Exp $
# Authority: gnujpl
# Name: Jean-Paul Leclère

%define name smeserver-hwinfo
%define version 1.0
%define release 6

Summary: Harware info panel for SME Server.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: System Environment/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-hwinfo-1.0-template.patch
Patch1: smeserver-hwinfo-1.0-template.patch2
Patch2: smeserver-hwinfo-1.0-locale-2008-04-22.patch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base lshw
Obsoletes: eos-hwinfo
AutoReqProv: no

%description
smeserver-hwinfo adds panel providing informations about server harware configuration
 
%changelog
* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-6
- Added e-smith-devtools as build requirement for the createlinks script

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-5
- Trying to fix creatlinks build error

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-4
- Added 22 April 2008 locale patch

* Fri Apr 4 2008 Jean-Paul Leclere <jean-paul@leclere.org>
- [1.0-3]
- removing duplicate template fragment

* Sun Jan 20 2008 Jean-Paul Leclere <jean-paul@leclere.org>
- [1.0-2]
- templates-custom replacement by templates fragment
- change Copyright to License in spec

* Fri Aug 24 2007 Jean-Paul Leclere <jean-paul@leclere.org>
- [1.0-1]
- port from Free-EOS eos-hwinfo, as a new panel in server-manager

%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1

%pre

%post

%build
perl createlinks 

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%preun

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(0644,root,root)


